#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisDacOffset0 *getGroupDacOffset0s_s(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoFreeMemoryFlag) {
    static struct L1SisDacOffset0 *pSaved = NULL;
    struct L1SisDacOffset0 *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisDacOffset0 *) getStructs(secondsSince1996Start,
				secondsSince1996Stop, "L1SisDacOffset0");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
