#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisHskp *getHskpStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct L1SisHskp *pSaved = NULL;
    struct L1SisHskp *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisHskp *)
			getStruct(secondsSince1996, "L1SisHskp");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
