#include <stdio.h>
#include <time.h>
#include "utilities.h"

struct tm* getDateFromDay1996(int day1996) {
    time_t secondsSince1996;
    struct tm *pTimeStruct;

	/* this silliness is to make sure leap seconds don't interfere with */
	/*    the determination of the date */

	/* get to middle of "zeroth" day */
    secondsSince1996 = -12L * 3600L;

	/* get to ~ middle of succeeding days (may be out by a second or 2, */
	/*     but never by enough to not get the succeeding day) */
    secondsSince1996 = secondsSince1996 + (day1996 * (24L * 3600L));

    pTimeStruct = getDateFromSecondsSince1996(secondsSince1996);

	/* now set hours, minutes, seconds to start of day and return */
    pTimeStruct->tm_hour = 0;
    pTimeStruct->tm_min = 0;
    pTimeStruct->tm_sec = 0;

    return pTimeStruct;
}
