#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>


int writeToFile(int fd, char *buffer, int bytesToWrite) {
    int bytesWritten;

    bytesWritten = write(fd, buffer, bytesToWrite);
    if (bytesWritten != bytesToWrite) {
	fprintf(stderr,
	    "Write error: Tried writing %u bytes, wrote %u\n\nExiting.\n\n",
						bytesToWrite, bytesWritten);
	exit(1);
    }
    return bytesWritten;
}
