; need this to get around the strangeness caused by leap seconds

function get_day_1996_from_seconds_since_1996, secondsSince1996

    time = cvtfromsec1996(secondsSince1996)
    time.hour = 0
    time.min = 0
    time.sec = 0
    secondsAt12AM = cvttosec1996(time)

    dayCounter = 0
    secondsSoFar = -12L * 3600L	; get to middle of "zeroth" day

	; secondsSoFar will always be around the middle of the day, so
	;     as soon as it passes the secondsAt12AM, we know we have
	;     the right day.

    while (secondsSoFar LT secondsAt12AM) do begin
	dayCounter = dayCounter + 1
	secondsSoFar = secondsSoFar + (24L * 3600L)
    endwhile

    return, dayCounter
end
