function get_struct, secondsSince1996, structToUse

	; this *should* return a struct array of length 1 since start and
	; stop times are identical, *but* rarely, time stamps may overlap
	; due to clock drift, etc.
	; this means that we will return an array of structs terminated
	; by a zeroed struct just to make sure we cover the rare, but
	; more general cases.  get_structs_across_days will itself have
	; already appended the zeroed struct and structArray can be directly
	; returned.
    structArray = get_structs(secondsSince1996, secondsSince1996, structToUse)

    return, structArray
end
