#include <stdio.h>
#include <string.h>
#include "hdfi.h"

void getDataFileSuffixFromStructName(char *suffixBuffer, char *structName) {
    if (strstr(structName, "Browse") != NULL)
						strcpy(suffixBuffer, "bp0");
    else if (strstr(structName, "CommandEcho") != NULL)
						strcpy(suffixBuffer, "ce");
    else if (strstr(structName, "CommandTable") != NULL)
						strcpy(suffixBuffer, "ct");
    else if (strstr(structName, "DiagnosticEvent") != NULL)
						strcpy(suffixBuffer, "de");
    else if (strstr(structName, "EventCycle") != NULL)
						strcpy(suffixBuffer, "evt");
    else if (strstr(structName, "HighPriorityRate") != NULL)
						strcpy(suffixBuffer, "hp");
    else if (strstr(structName, "Hskp") != NULL)
						strcpy(suffixBuffer, "hsk");
    else if (strstr(structName, "LowPriorityRate") != NULL)
						strcpy(suffixBuffer, "lp");
    else if (strstr(structName, "Subset") != NULL)
						strcpy(suffixBuffer, "sub");
    else if (strstr(structName, "Summary") != NULL)
						strcpy(suffixBuffer, "sum");
    else if (strstr(structName, "DacOffset0") != NULL)
						strcpy(suffixBuffer, "do0");
    else if (strstr(structName, "DacOffset1") != NULL)
						strcpy(suffixBuffer, "do1");
    else {
	    /* if we got here, did not recognize the structure name */
	fprintf(stderr, "getStructSizeFromName: ERROR\n");
	fprintf(stderr, "  Struct name ->%s<- not recognized.  Exiting.\n\n",
								structName);
	exit(0);
    }
}
