#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisEventCycle *getEventCycleStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct L1SisEventCycle *pSaved = NULL;
    struct L1SisEventCycle *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisEventCycle *)
			getStruct(secondsSince1996, "L1SisEventCycle");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
